org.eclipse.graphiti.mm.algorithms

## Interface AlgorithmsFactory

All Superinterfaces:
  org.eclipse.emf.ecore.EFactory, org.eclipse.emf.ecore.EModelElement, org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier

All Known Implementing Classes:
  AlgorithmsFactoryImpl

    public interface AlgorithmsFactory
    extends org.eclipse.emf.ecore.EFactory

The Factory for the model. It provides a create method for each non-abstract class of the model.

See Also:
  `AlgorithmsPackage`

### Field Summary

Fields
`static AlgorithmsFactory` `eINSTANCE` The singleton instance of the factory.

### Method Summary

All Methods Instance Methods Abstract Methods
`Ellipse` `createEllipse()` Returns a new object of class 'Ellipse'.
`Image` `createImage()` Returns a new object of class 'Image'.
`MultiText` `createMultiText()` Returns a new object of class 'Multi Text'.
`PlatformGraphicsAlgorithm` `createPlatformGraphicsAlgorithm()` Returns a new object of class 'Platform Graphics Algorithm'.
`Polygon` `createPolygon()` Returns a new object of class 'Polygon'.
`Polyline` `createPolyline()` Returns a new object of class 'Polyline'.
`Rectangle` `createRectangle()` Returns a new object of class 'Rectangle'.
`RoundedRectangle` `createRoundedRectangle()` Returns a new object of class 'Rounded Rectangle'.
`Text` `createText()` Returns a new object of class 'Text'.
`AlgorithmsPackage` `getAlgorithmsPackage()` Returns the package supported by this factory.

### Methods inherited from interface org.eclipse.emf.ecore.EFactory

`convertToString, create, createFromString, getEPackage, setEPackage`

### Methods inherited from interface org.eclipse.emf.ecore.EModelElement

`getEAnnotation, getEAnnotations`

### Methods inherited from interface org.eclipse.emf.ecore.EObject

`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

`eAdapters, eDeliver, eNotify, eSetDeliver`

### Field Detail

#### eINSTANCE

    static final AlgorithmsFactory eINSTANCE

The singleton instance of the factory.

### Method Detail

#### createPolyline

    Polyline createPolyline()

Returns a new object of class 'Polyline'.

Returns:
  a new object of class 'Polyline'.

#### createEllipse

    Ellipse createEllipse()

Returns a new object of class 'Ellipse'.

Returns:
  a new object of class 'Ellipse'.

#### createText

    Text createText()

Returns a new object of class 'Text'.

Returns:
  a new object of class 'Text'.

#### createPolygon

    Polygon createPolygon()

Returns a new object of class 'Polygon'.

Returns:
  a new object of class 'Polygon'.

#### createRectangle

    Rectangle createRectangle()

Returns a new object of class 'Rectangle'.

Returns:
  a new object of class 'Rectangle'.

#### createRoundedRectangle

    RoundedRectangle createRoundedRectangle()

Returns a new object of class 'Rounded Rectangle'.

Returns:
  a new object of class 'Rounded Rectangle'.

#### createImage

    Image createImage()

Returns a new object of class 'Image'.

Returns:
  a new object of class 'Image'.

#### createPlatformGraphicsAlgorithm

    PlatformGraphicsAlgorithm createPlatformGraphicsAlgorithm()

Returns a new object of class 'Platform Graphics Algorithm'.

Returns:
  a new object of class 'Platform Graphics Algorithm'.

#### createMultiText

    MultiText createMultiText()

Returns a new object of class 'Multi Text'.

Returns:
  a new object of class 'Multi Text'.

#### getAlgorithmsPackage

    AlgorithmsPackage getAlgorithmsPackage()

Returns the package supported by this factory.

Returns:
  the package supported by this factory.